DOOMSDAY-SHELL-TEXT(6)

NAME
doomsday-shell-text - Utility for controlling and monitoring Doomsday servers

SYNOPSIS
doomsday-shell-text

OPTIONS
This version of doomsday-shell-text does not support any command line options.

INTRODUCTION
The Shell is a utility for controlling and monitoring Doomsday servers. It has a curses-based terminal-friendly UI that allows one to connect to local and remote Doomsday servers. One can also start new servers on the local machine.

Once connected to a server, a console command line is provided for controlling the server.

USER INTERFACE

  Menu

Press F9, ^C, or ^Z to open the menu.

Connect to...
    Open a connection to a server at a given IP address.

Disconnect
    Disconnect the current connection. The server will not be stopped.

Start local server
    Starts a new Doomsday server on the local machine. A dialog will open for configuring the game mode, server's TCP port, and other launch options. You must ensure that Doomsday will be able to locate the required IWAD files (https://manual.dengine.net/IWAD). After the server launches, a connection to it is opened automatically.

Scroll to bottom
    Scrolls the log entry history down to the bottom of the buffer, to the latest received log entry.

About
    Information about the Shell utility.

Exit
    Exit the Shell. Any running servers will not be stopped.

  Console

A console command line is provided for interacting with a connected server. These commands will get you started:

help
    Show some general level help about using the console interface.

apropos
    Look up commands and variables containing a specific word.

The PageUp and PageDown keys scroll the log entry history.

SEE ALSO
doomsday(6)

AUTHOR
This documentation has been written by Jaakko Keränen <jaakko.keranen@iki.fi>.